#!/bin/sh

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x;
fi

GUARD=/etc/courier-imap/plesk-10.3.1-mu4.applied
IMAP_CFG=/etc/courier-imap/imapd
POP3_CFG=/etc/courier-imap/pop3d

if [ -f $GUARD ]; then
	exit 0;
fi

cp $IMAP_CFG $IMAP_CFG.plesk.bak
ERR1=$?

cp $POP3_CFG $POP3_CFG.plesk.bak
ERR2=$?

if [ $ERR1 != 0 -o $ERR2 != 0 ]; then
	rm -f $IMAP_CFG.plesk.bak $POP3_CFG.plesk.bak
	exit 1;
fi

sed -e "s/^IMAP_CAPABILITY=\(.*\) IDLE\\\"$/IMAP_CAPABILITY=\\1 AUTH=CRAM-MD5 AUTH=PLAIN IDLE\\\"/g" -e "s/^IMAP_CAPABILITY_ORIG=\(.*\) IDLE\\\"$/IMAP_CAPABILITY_ORIG=\\1 AUTH=PLAIN IDLE\\\"/g" -e "s/^IMAP_CAPABILITY_TLS=.*$/IMAP_CAPABILITY_TLS=\\\"\\\$IMAP_CAPABILITY\\\"/g" -e "s/^IMAP_CAPABILITY_TLS_ORIG=.*$/IMAP_CAPABILITY_TLS_ORIG=\\\"\\\$IMAP_CAPABILITY_ORIG\\\"/g" <$IMAP_CFG >$IMAP_CFG.plesk.tmp
ERR1=$?

sed -e "s/^POP3AUTH=.*$/POP3AUTH=\\\"LOGIN CRAM-MD5 PLAIN\\\"/g" -e "s/^POP3AUTH_ORIG=.*$/POP3AUTH_ORIG=\\\"LOGIN CRAM-MD5 PLAIN\\\"/g" -e "s/^POP3AUTH_TLS=.*$/POP3AUTH_TLS=\\\"LOGIN CRAM-MD5 PLAIN\\\"/g" -e "s/^POP3AUTH_TLS_ORIG=.*$/POP3AUTH_TLS_ORIG=\\\"LOGIN CRAM-MD5 PLAIN\\\"/g" <$POP3_CFG >$POP3_CFG.plesk.tmp
ERR2=$?

if [ $ERR1 != 0 -o $ERR2 != 0 ]; then
	rm -f $IMAP_CFG.plesk.{tmp,bak} $POP3_CFG.plesk.{tmp,bak}
	exit 1;
fi

mv $IMAP_CFG.plesk.tmp $IMAP_CFG
mv $POP3_CFG.plesk.tmp $POP3_CFG

echo DO NOT DELETE - CREATED BY PLESK 10.3.1 MU4 > $GUARD

/etc/init.d/courier-imap restart

